Bug 799555 - Gajim just abort()s probably due to Dbus timing out
Gajim just abort()s probably due to Dbus timing out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 18:38 EST by Tobias Mueller
Modified: 2013-03-05 23:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:42:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2012-03-02 18:38:40 EST
Description of problem:
Every so often, my Gajim just abort()s after resuming from suspend.
Interestingly, abrt doesn't catch this so I got a stacktrace myself.

I don't know whose bug it is. Probably not gajim and maybe dbus-python.

Version-Release number of selected component (if applicable):


How reproducible:
often. Not 100% though. Probably depends on Gajim communicating over the DBus just before suspend.

Steps to Reproduce:
1.Run gajim, suspend, resume, see it crash
2.
3.
  
Actual results:


Expected results:


Additional info:


[New Thread 0x7f900088a700 (LWP 6296)]
[Thread 0x7f900088a700 (LWP 6296) exited]
[New Thread 0x7f900088a700 (LWP 6298)]
[Thread 0x7f900088a700 (LWP 6298) exited]
[New Thread 0x7f900088a700 (LWP 6982)]
[Thread 0x7f900088a700 (LWP 6982) exited]
ERROR:dbus.proxies:Introspect error on :1.22:/org/freedesktop/Notifications: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
11:06:24 (W) gajim.c.connection No reply received for keepalive ping. Reconnecting.
process 24086: Array or variant type requires that type string be written, but end_dict_entry was written.
The overall signature expected here was 'susss(ss)a{ss}' and we are on byte 12 of that signature.
  D-Bus not built with -rdynamic so unable to print a backtrace

Program received signal SIGABRT, Aborted.
0x00000036ebe36285 in raise () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install nss-myhostname-0.3-1.fc16.x86_64
(gdb) bt
#0  0x00000036ebe36285 in raise () from /lib64/libc.so.6
#1  0x00000036ebe37b9b in abort () from /lib64/libc.so.6
#2  0x00000036f0e2fd85 in _dbus_abort () at dbus-sysdeps.c:94
#3  0x00000036f0e26e31 in _dbus_warn_check_failed (format=
    0x36f0e32d40 "Array or variant type requires that type %s be written, but %s was written.\nThe overall signature expected here was '%s' and we are on byte %d of that signature.\n") at dbus-internals.c:289
#4  0x00000036f0e14f4e in write_or_verify_typecode (typecode=<optimized out>, 
    writer=0x7fff0f4915f0) at dbus-marshal-recursive.c:1718
#5  write_or_verify_typecode (writer=0x7fff0f4915f0, typecode=<optimized out>)
    at dbus-marshal-recursive.c:1687
#6  0x00000036f0e15e0d in _dbus_type_writer_unrecurse (writer=0x7fff0f4915a0, 
    sub=0x7fff0f4915f0) at dbus-marshal-recursive.c:2188
#7  0x00000036f0e1a2cc in dbus_message_iter_close_container (iter=
    0x7fff0f491590, sub=0x7fff0f4915e0) at dbus-message.c:2780
#8  0x00007f900fb6a321 in _message_iter_append_dictentry (key='urgency', dict=
    {'category': u'connection.failed', 'urgency': 0}, sig_iter=0x7fff0f491630, 
    appender=0x7fff0f491590) at message-append.c:566
#9  _message_iter_append_multi (appender=0x7fff0f491750, sig_iter=
    0x7fff0f4917a0, mode=101, obj=
    {'category': u'connection.failed', 'urgency': 0}) at message-append.c:652
#10 0x00007f900fb6a0bc in _message_iter_append_pyobject (appender=
    0x7fff0f491750, sig_iter=0x7fff0f4917a0, obj=
---Type <return> to continue, or q <return> to quit---
    {'category': u'connection.failed', 'urgency': 0}, more=0x7fff0f4917cc)
    at message-append.c:974
#11 0x00007f900fb6a7dc in dbus_py_Message_append (self=0x3e6a3f0, args=
    (u'Gajim', 0L, u'/usr/share/gajim/icons/hicolor/48x48/actions/gajim-connection_lost.png', u'Could not change status of account "Local"', u'Please check if avahi-daemon is running.', (u'default', u'Connection Failed'), {'category': u'connection.failed', 'urgency': 0}, 5000L), kwargs=<optimized out>)
    at message-append.c:1064
#12 0x000000370f2e00bd in ext_do_call (nk=1, na=<optimized out>, 
    flags=<optimized out>, pp_stack=0x7fff0f4918e8, func=
    <built-in method append of dbus.lowlevel.MethodCallMessage object at remote 0x3e6a3f0>) at /usr/src/debug/Python-2.7.2/Python/ceval.c:4400
#13 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:2779
#14 0x000000370f2e15a5 in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=9, kws=0x2de6520, kwcount=0, defs=0x1e127f8, defcount=4, closure=
    0x0) at /usr/src/debug/Python-2.7.2/Python/ceval.c:3330
#15 0x000000370f26dd23 in function_call (func=<function at remote 0x1e1f050>, 
    arg=
    (<SessionBus(_bus_type=0, _signals_lock=<thread.lock at remote 0x7f901c1acab0>, _Connection__call_on_disconnection=[], _dbus_Connection_initialized=1, _bus_names=<WeakValueDictionary(_remove=<function at remote 0x221b488>, data={'org.ga---Type <return> to continue, or q <return> to quit---
jim.dbus': <KeyedRef at remote 0x3519f50>}) at remote 0x22177a0>, _signal_sender_matches={<SignalMatch at remote 0x3517e90>: <NameOwnerWatch at remote 0x3531990>, <SignalMatch at remote 0x3517950>: <NameOwnerWatch at remote 0x3531550>}, _signal_recipients_by_object_path={'/org/freedesktop/Notifications': {'org.freedesktop.Notifications': {'NotificationClosed': [<...>], 'ActionInvoked': [<...>]}}, '/org/freedesktop/DBus': {'org.freedesktop.DBus': {'NameOwnerChanged': [<SignalMatch at remote 0x3517f50>, <SignalMatch at remote 0x3517a10>]}}, None: {'org.gnome.ScreenSaver': {'ActiveChanged': [<SignalMatch at remote 0x2b05c50>]}}}) at remote 0x1e17b30>, ':1.22', '/org/freedesktop/Notifications', 'org.freedesktop.Notifications', 'Notify', None, (u'Gajim', 0L, u'/usr/share/gajim/icons...(truncated), kw={}) at /usr/src/debug/Python-2.7.2/Objects/funcobject.c:526
#16 0x000000370f249193 in PyObject_Call (func=<function at remote 0x1e1f050>, 
    arg=<optimized out>, kw=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2529
#17 0x000000370f2dc31f in ext_do_call (nk=0, na=<optimized out>, 
    flags=<optimized out>, pp_stack=0x7fff0f491ba8, func=
    <function at remote 0x1e1f050>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:4403
#18 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:2779
#19 0x000000370f2e15a5 in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=9, kws=0x39aa5e8, kwcount=2, defs=0x0, defcount=0, closure=0x0)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:3330
#20 0x000000370f26dd23 in function_call (func=<function at remote 0x1e0f9b0>, 
    arg=
    (<_ProxyMethod(_connection=<SessionBus(_bus_type=0, _signals_lock=<thread.lock at remote 0x7f901c1acab0>, _Connection__call_on_disconnection=[], _dbus_Connection_initialized=1, _bus_names=<WeakValueDictionary(_remove=<function at remote 0x221b488>, data={'org.gajim.dbus': <KeyedRef at remote 0x3519f50>}) at remote 0x22177a0>, _signal_sender_matches={<SignalMatch at remote 0x3517e90>: <NameOwnerWatch at remote 0x3531990>, <SignalMatch at remote 0x3517950>: <NameOwnerWatch at remote 0x3531550>}, _signal_recipients_by_object_path={'/org/freedesktop/Notifications': {'org.freedesktop.Notifications': {'NotificationClosed': [<...>], 'ActionInvoked': [<...>]}}, '/org/freedesktop/DBus': {'org.freedesktop.DBus': {'NameOwnerChanged': [<SignalMatch at remote 0x3517f50>, <SignalMatch at remote 0x3517a10>]}}, None: {'org.gnome.ScreenSaver': {'ActiveChanged': [<SignalMatch at remote 0x2b05c50>]}}}) at remote 0x1e17b30>, _proxy=<ProxyObject(_requested_bus_name='org.freedesktop.Notifications', _introspect_lock=<_RLock(_RLock_...(truncated), kw=
    {'reply_handler': <instancemethod at remote 0x383b050>, 'error_handler': <instancemethod at remote 0x382df50>})
    at /usr/src/debug/Python-2.7.2/Objects/funcobject.c:526
#21 0x000000370f249193 in PyObject_Call (func=<function at remote 0x1e0f9b0>, 
    arg=<optimized out>, kw=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2529
---Type <return> to continue, or q <return> to quit---
#22 0x000000370f257dff in instancemethod_call (func=
    <function at remote 0x1e0f9b0>, arg=
    (<_ProxyMethod(_connection=<SessionBus(_bus_type=0, _signals_lock=<thread.lock at remote 0x7f901c1acab0>, _Connection__call_on_disconnection=[], _dbus_Connection_initialized=1, _bus_names=<WeakValueDictionary(_remove=<function at remote 0x221b488>, data={'org.gajim.dbus': <KeyedRef at remote 0x3519f50>}) at remote 0x22177a0>, _signal_sender_matches={<SignalMatch at remote 0x3517e90>: <NameOwnerWatch at remote 0x3531990>, <SignalMatch at remote 0x3517950>: <NameOwnerWatch at remote 0x3531550>}, _signal_recipients_by_object_path={'/org/freedesktop/Notifications': {'org.freedesktop.Notifications': {'NotificationClosed': [<...>], 'ActionInvoked': [<...>]}}, '/org/freedesktop/DBus': {'org.freedesktop.DBus': {'NameOwnerChanged': [<SignalMatch at remote 0x3517f50>, <SignalMatch at remote 0x3517a10>]}}, None: {'org.gnome.ScreenSaver': {'ActiveChanged': [<SignalMatch at remote 0x2b05c50>]}}}) at remote 0x1e17b30>, _proxy=<ProxyObject(_requested_bus_name='org.freedesktop.Notifications', _introspect_lock=<_RLock(_RLock_...(truncated), kw=
    {'reply_handler': <instancemethod at remote 0x383b050>, 'error_handler': <instancemethod at remote 0x382df50>})
    at /usr/src/debug/Python-2.7.2/Objects/classobject.c:2578
#23 0x000000370f249193 in PyObject_Call (func=
    <instancemethod at remote 0x675c780>, arg=<optimized out>, 
    kw=<optimized out>) at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2529
#24 0x000000370f25427b in instance_call (func=<optimized out>, arg=
---Type <return> to continue, or q <return> to quit---
    (u'Gajim', 0L, u'/usr/share/gajim/icons/hicolor/48x48/actions/gajim-connection_lost.png', u'Could not change status of account "Local"', u'Please check if avahi-daemon is running.', (u'default', u'Connection Failed'), {'category': u'connection.failed', 'urgency': 0}, 5000L), kw=
    {'reply_handler': <instancemethod at remote 0x383b050>, 'error_handler': <instancemethod at remote 0x382df50>})
    at /usr/src/debug/Python-2.7.2/Objects/classobject.c:2129
#25 0x000000370f249193 in PyObject_Call (func=
    <_ProxyMethod(_connection=<SessionBus(_bus_type=0, _signals_lock=<thread.lock at remote 0x7f901c1acab0>, _Connection__call_on_disconnection=[], _dbus_Connection_initialized=1, _bus_names=<WeakValueDictionary(_remove=<function at remote 0x221b488>, data={'org.gajim.dbus': <KeyedRef at remote 0x3519f50>}) at remote 0x22177a0>, _signal_sender_matches={<SignalMatch at remote 0x3517e90>: <NameOwnerWatch at remote 0x3531990>, <SignalMatch at remote 0x3517950>: <NameOwnerWatch at remote 0x3531550>}, _signal_recipients_by_object_path={'/org/freedesktop/Notifications': {'org.freedesktop.Notifications': {'NotificationClosed': [<...>], 'ActionInvoked': [<...>]}}, '/org/freedesktop/DBus': {'org.freedesktop.DBus': {'NameOwnerChanged': [<SignalMatch at remote 0x3517f50>, <SignalMatch at remote 0x3517a10>]}}, None: {'org.gnome.ScreenSaver': {'ActiveChanged': [<SignalMatch at remote 0x2b05c50>]}}}) at remote 0x1e17b30>, _proxy=<ProxyObject(_requested_bus_name='org.freedesktop.Notifications', _introspect_lock=<_RLock(_RLock__...(truncated), arg=<optimized out>, kw=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2529
---Type <return> to continue, or q <return> to quit---
#26 0x000000370f2de795 in do_call (nk=<optimized out>, na=<optimized out>, 
    pp_stack=0x7fff0f492178, func=
    <_ProxyMethod(_connection=<SessionBus(_bus_type=0, _signals_lock=<thread.lock at remote 0x7f901c1acab0>, _Connection__call_on_disconnection=[], _dbus_Connection_initialized=1, _bus_names=<WeakValueDictionary(_remove=<function at remote 0x221b488>, data={'org.gajim.dbus': <KeyedRef at remote 0x3519f50>}) at remote 0x22177a0>, _signal_sender_matches={<SignalMatch at remote 0x3517e90>: <NameOwnerWatch at remote 0x3531990>, <SignalMatch at remote 0x3517950>: <NameOwnerWatch at remote 0x3531550>}, _signal_recipients_by_object_path={'/org/freedesktop/Notifications': {'org.freedesktop.Notifications': {'NotificationClosed': [<...>], 'ActionInvoked': [<...>]}}, '/org/freedesktop/DBus': {'org.freedesktop.DBus': {'NameOwnerChanged': [<SignalMatch at remote 0x3517f50>, <SignalMatch at remote 0x3517a10>]}}, None: {'org.gnome.ScreenSaver': {'ActiveChanged': [<SignalMatch at remote 0x2b05c50>]}}}) at remote 0x1e17b30>, _proxy=<ProxyObject(_requested_bus_name='org.freedesktop.Notifications', _introspect_lock=<_RLock(_RLock__...(truncated)) at /usr/src/debug/Python-2.7.2/Python/ceval.c:4308
#27 call_function (oparg=<optimized out>, pp_stack=0x7fff0f492178)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:4113
#28 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:2740
#29 0x000000370f2e0580 in fast_function (nk=<optimized out>, na=1, 
    n=<optimized out>, pp_stack=0x7fff0f4922b8, func=
    <function at remote 0x26b3e60>)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:4176
#30 call_function (oparg=<optimized out>, pp_stack=0x7fff0f4922b8)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:4111
#31 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:2740
#32 0x000000370f2e15a5 in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=5, kws=0x0, kwcount=0, defs=0x26b5668, defcount=1, closure=0x0)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:3330
#33 0x000000370f26dc2c in function_call (func=<function at remote 0x26ba0c8>, 
    arg=
    (<DesktopNotification(default_version=[0, 3, 1], account=u'Local', ntype='connection.failed', event_type=u'Connection Failed', msg_type='connection_failed', title=u'Could not change status of account "Local"', text='Please check if avahi-daemon is running.', notif=<Interface(_obj=<ProxyObject(_requested_bus_name='org.freedesktop.Notifications', _introspect_lock=<_RLock(_RLock__owner=None, _RLock__count=0, _RLock__block=<thread.lock at remote 0x47d33b0>) at remote 0x533a690>, _pending_introspect_queue=[], __dbus_object_path__='/org/freedesktop/Notifications', _bus=<SessionBus(_bus_type=0, _signals_lock=<thread.lock at remote 0x7f901c1acab0>, _Connection__call_on_disconnection=[], _dbus_Connection_initialized=1, _bus_names=<WeakValueDictionary(_remove=<function at remote 0x221b488>, data={'org.gajim.dbus': <KeyedRef at remote 0x3519f50>}) at remote 0x22177a0>, _signal_sender_matches={<SignalMatch at remote 0x3517e90>: <NameOwnerWatch at remote ---Type <return> to continue, or q <return> to quit---
0x3531990>, <SignalMatch at remote 0x3517950>: <NameOwnerWatch at re...(truncated), kw=0x0) at /usr/src/debug/Python-2.7.2/Objects/funcobject.c:526
#34 0x000000370f249193 in PyObject_Call (func=<function at remote 0x26ba0c8>, 
    arg=<optimized out>, kw=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2529
#35 0x000000370f2dc31f in ext_do_call (nk=0, na=<optimized out>, 
    flags=<optimized out>, pp_stack=0x7fff0f492578, func=
    <function at remote 0x26ba0c8>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:4403
#36 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:2779
#37 0x000000370f2e15a5 in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=1, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=
    (<cell at remote 0x3524e88>, <cell at remote 0x3e6b050>, <cell at remote 0x3e6b520>)) at /usr/src/debug/Python-2.7.2/Python/ceval.c:3330
#38 0x000000370f26dc2c in function_call (func=<function at remote 0x47dbb90>, 
    arg=(<dbus.lowlevel.MethodReturnMessage at remote 0x67349a8>,), kw=0x0)
    at /usr/src/debug/Python-2.7.2/Objects/funcobject.c:526
#39 0x000000370f249193 in PyObject_Call (func=<function at remote 0x47dbb90>, 
    arg=<optimized out>, kw=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2529
#40 0x000000370f2499b0 in PyObject_CallFunctionObjArgs (callable=
---Type <return> to continue, or q <return> to quit---
    <function at remote 0x47dbb90>)
    at /usr/src/debug/Python-2.7.2/Objects/abstract.c:2760
#41 0x00007f900fb6d62a in _pending_call_notify_function (pc=0x3e87be0, 
    list=<optimized out>) at pending-call.c:111
#42 0x00000036f0e0c3ba in complete_pending_call_and_unlock (connection=
    0x228a1b0, pending=0x3e87be0, message=<optimized out>)
    at dbus-connection.c:2308
#43 0x00000036f0e0f64a in dbus_connection_dispatch (connection=0x228a1b0)
    at dbus-connection.c:4593
#44 0x00000036f960aad5 in message_queue_dispatch (source=<optimized out>, 
    callback=<optimized out>, user_data=<optimized out>) at dbus-gmain.c:101

#45 0x00000036ede44acd in g_main_dispatch (context=0x1b41eb0) at gmain.c:2441
#46 g_main_context_dispatch (context=0x1b41eb0) at gmain.c:3011
#47 0x00000036ede452c8 in g_main_context_iterate (context=0x1b41eb0, 
    block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3089
#48 0x00000036ede45815 in g_main_loop_run (loop=0x2e31280) at gmain.c:3297
#49 0x00000036fdb4bbb7 in IA__gtk_main () at gtkmain.c:1256
#50 0x00007f9012f10fa6 in _wrap_gtk_main (self=<optimized out>)
    at ./gtk.override:1240
#51 0x000000370f2dfb13 in call_function (oparg=<optimized out>, pp_stack=
    0x7fff0f492bb8) at /usr/src/debug/Python-2.7.2/Python/ceval.c:4074
#52 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:2740
---Type <return> to continue, or q <return> to quit---
#53 0x000000370f2e15a5 in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>, args=<optimized out>, 
    argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:3330
#54 0x000000370f2e16d2 in PyEval_EvalCode (co=<optimized out>, 
    globals=<optimized out>, locals=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/ceval.c:689
#55 0x000000370f2fb9ec in run_mod (mod=<optimized out>, 
    filename=<optimized out>, globals=
    {'f2': <file at remote 0x287ec90>, 'sigint_cb': <function at remote 0x2b04d70>, 'gtkexcepthook': <module at remote 0x224a328>, 'locale': <module at remote 0x7f9015c6b5c8>, 'pid_alive': <function at remote 0x22e0cf8>, 'gtkgui_helpers': <module at remote 0x2357e88>, 'MusicTrackListener': <GObjectMeta(_mpris_playing_changed_cb=<function at remote 0x221bd70>, __module__='music_track_listener', _muine_music_track_change_cb=<function at remote 0x221bed8>, get=<classmethod at remote 0x221ce18>, _rhythmbox_playing_changed_cb=<function at remote 0x221bf50>, get_playing_track=<function at remote 0x22202a8>, _rhythmbox_properties_extract=<function at remote 0x2220050>, _quodlibet_properties_extract=<function at remote 0x2220230>, __init__=<function at remote 0x221bb18>, _mpris_properties_extract=<function at remote 0x221bcf8>, _banshee_properties_extract=<function at remote 0x2220140>, _muine_properties_extract=<function at remote 0x221be60>, _instance=None, _mpris_music_track_change_cb=<function at remote 0x221bde8>, _...(truncated), locals=
---Type <return> to continue, or q <return> to quit---
    {'f2': <file at remote 0x287ec90>, 'sigint_cb': <function at remote 0x2b04d70>, 'gtkexcepthook': <module at remote 0x224a328>, 'locale': <module at remote 0x7f9015c6b5c8>, 'pid_alive': <function at remote 0x22e0cf8>, 'gtkgui_helpers': <module at remote 0x2357e88>, 'MusicTrackListener': <GObjectMeta(_mpris_playing_changed_cb=<function at remote 0x221bd70>, __module__='music_track_listener', _muine_music_track_change_cb=<function at remote 0x221bed8>, get=<classmethod at remote 0x221ce18>, _rhythmbox_playing_changed_cb=<function at remote 0x221bf50>, get_playing_track=<function at remote 0x22202a8>, _rhythmbox_properties_extract=<function at remote 0x2220050>, _quodlibet_properties_extract=<function at remote 0x2220230>, __init__=<function at remote 0x221bb18>, _mpris_properties_extract=<function at remote 0x221bcf8>, _banshee_properties_extract=<function at remote 0x2220140>, _muine_properties_extract=<function at remote 0x221be60>, _instance=None, _mpris_music_track_change_cb=<function at remote 0x221bde8>, _...(truncated), flags=<optimized out>, arena=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Python/pythonrun.c:1354
#56 0x000000370f2fc7f0 in PyRun_FileExFlags (fp=0x16667c0, filename=
    0x7fff0f49530c "gajim.py", start=<optimized out>, globals=
    {'f2': <file at remote 0x287ec90>, 'sigint_cb': <function at remote 0x2b04d70>, 'gtkexcepthook': <module at remote 0x224a328>, 'locale': <module at remote 0x7f9015c6b5c8>, 'pid_alive': <function at remote 0x22e0cf8>, 'gtkgui_helpers': <module at remote 0x2357e88>, 'MusicTrackListener': <GObjectMeta(_mpris_playing_changed_cb=<function at remote 0x221bd70>, __module__='music_track_listener', _muine_music_track_change_cb=<function at remote 0x221bed8>, get=<classmethod at re---Type <return> to continue, or q <return> to quit---
mote 0x221ce18>, _rhythmbox_playing_changed_cb=<function at remote 0x221bf50>, get_playing_track=<function at remote 0x22202a8>, _rhythmbox_properties_extract=<function at remote 0x2220050>, _quodlibet_properties_extract=<function at remote 0x2220230>, __init__=<function at remote 0x221bb18>, _mpris_properties_extract=<function at remote 0x221bcf8>, _banshee_properties_extract=<function at remote 0x2220140>, _muine_properties_extract=<function at remote 0x221be60>, _instance=None, _mpris_music_track_change_cb=<function at remote 0x221bde8>, _...(truncated), locals=
    {'f2': <file at remote 0x287ec90>, 'sigint_cb': <function at remote 0x2b04d70>, 'gtkexcepthook': <module at remote 0x224a328>, 'locale': <module at remote 0x7f9015c6b5c8>, 'pid_alive': <function at remote 0x22e0cf8>, 'gtkgui_helpers': <module at remote 0x2357e88>, 'MusicTrackListener': <GObjectMeta(_mpris_playing_changed_cb=<function at remote 0x221bd70>, __module__='music_track_listener', _muine_music_track_change_cb=<function at remote 0x221bed8>, get=<classmethod at remote 0x221ce18>, _rhythmbox_playing_changed_cb=<function at remote 0x221bf50>, get_playing_track=<function at remote 0x22202a8>, _rhythmbox_properties_extract=<function at remote 0x2220050>, _quodlibet_properties_extract=<function at remote 0x2220230>, __init__=<function at remote 0x221bb18>, _mpris_properties_extract=<function at remote 0x221bcf8>, _banshee_properties_extract=<function at remote 0x2220140>, _muine_properties_extract=<function at remote 0x221be60>, _instance=None, _mpris_music_track_change_cb=<function at remote 0x221bde8>, _...(truncated), closeit=1, flags=0x7fff0f492ee0)
    at /usr/src/debug/Python-2.7.2/Python/pythonrun.c:1340
---Type <return> to continue, or q <return> to quit---
#57 0x000000370f2fd26f in PyRun_SimpleFileExFlags (fp=0x16667c0, filename=
    0x7fff0f49530c "gajim.py", closeit=1, flags=0x7fff0f492ee0)
    at /usr/src/debug/Python-2.7.2/Python/pythonrun.c:944
#58 0x000000370f30e745 in Py_Main (argc=<optimized out>, argv=<optimized out>)
    at /usr/src/debug/Python-2.7.2/Modules/main.c:599
#59 0x00000036ebe2169d in __libc_start_main () from /lib64/libc.so.6
#60 0x0000000000400651 in _start ()
(gdb)
Comment 1 Fedora End Of Life 2013-01-16 08:03:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:42:28 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.